### Hierarchy

- unknown
  - PaymentAccount

## Index

### Constructors

- constructor

### Methods

- addTradeCurrencies
- clearPaymentAccountPayload
- clearPaymentMethod
- clearSelectedTradeCurrency
- clearTradeCurrenciesList
- getAccountName
- getCreationDate
- getId
- getPaymentAccountPayload
- getPaymentMethod
- getSelectedTradeCurrency
- getTradeCurrenciesList
- hasPaymentAccountPayload
- hasPaymentMethod
- hasSelectedTradeCurrency
- serializeBinary
- setAccountName
- setCreationDate
- setId
- setPaymentAccountPayload
- setPaymentMethod
- setSelectedTradeCurrency
- setTradeCurrenciesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentAccount(): PaymentAccount

- Inherited from jspb.Message.constructor

  #### Returns PaymentAccount

## Methods

### addTradeCurrencies

- addTradeCurrencies(value?: TradeCurrency, index?: number): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7907

  #### Parameters

  - ##### Optional value: TradeCurrency

  - ##### Optional index: number

  #### Returns TradeCurrency

### clearPaymentAccountPayload

- clearPaymentAccountPayload(): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7917

  #### Returns PaymentAccount

### clearPaymentMethod

- clearPaymentMethod(): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7899

  #### Returns PaymentAccount

### clearSelectedTradeCurrency

- clearSelectedTradeCurrency(): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7912

  #### Returns PaymentAccount

### clearTradeCurrenciesList

- clearTradeCurrenciesList(): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7906

  #### Returns PaymentAccount

### getAccountName

- getAccountName(): string

- - Defined in src/protobuf/pb_pb.d.ts:7901

  #### Returns string

### getCreationDate

- getCreationDate(): string

- - Defined in src/protobuf/pb_pb.d.ts:7893

  #### Returns string

### getId

- getId(): string

- - Defined in src/protobuf/pb_pb.d.ts:7890

  #### Returns string

### getPaymentAccountPayload

- getPaymentAccountPayload(): undefined | PaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:7914

  #### Returns undefined | PaymentAccountPayload

### getPaymentMethod

- getPaymentMethod(): undefined | PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7896

  #### Returns undefined | PaymentMethod

### getSelectedTradeCurrency

- getSelectedTradeCurrency(): undefined | TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7909

  #### Returns undefined | TradeCurrency

### getTradeCurrenciesList

- getTradeCurrenciesList(): TradeCurrency []

- - Defined in src/protobuf/pb_pb.d.ts:7904

  #### Returns TradeCurrency []

### hasPaymentAccountPayload

- hasPaymentAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7916

  #### Returns boolean

### hasPaymentMethod

- hasPaymentMethod(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7898

  #### Returns boolean

### hasSelectedTradeCurrency

- hasSelectedTradeCurrency(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7911

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7919

  #### Returns Uint8Array

### setAccountName

- setAccountName(value: string): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7902

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccount

### setCreationDate

- setCreationDate(value: string): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7894

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccount

### setId

- setId(value: string): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7891

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccount

### setPaymentAccountPayload

- setPaymentAccountPayload(value?: PaymentAccountPayload ): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7915

  #### Parameters

  - ##### Optional value: PaymentAccountPayload

  #### Returns PaymentAccount

### setPaymentMethod

- setPaymentMethod(value?: PaymentMethod ): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7897

  #### Parameters

  - ##### Optional value: PaymentMethod

  #### Returns PaymentAccount

### setSelectedTradeCurrency

- setSelectedTradeCurrency(value?: TradeCurrency ): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7910

  #### Parameters

  - ##### Optional value: TradeCurrency

  #### Returns PaymentAccount

### setTradeCurrenciesList

- setTradeCurrenciesList(value: TradeCurrency []): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7905

  #### Parameters

  - ##### value: TradeCurrency []

  #### Returns PaymentAccount

### toObject

- toObject(includeInstance?: boolean): PaymentAccount . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7920

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentAccount . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7923

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccount

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccount, reader: BinaryReader): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7924

  #### Parameters

  - ##### message: PaymentAccount

  - ##### reader: BinaryReader

  #### Returns PaymentAccount

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccount, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7922

  #### Parameters

  - ##### message: PaymentAccount

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentAccount ): PaymentAccount . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7921

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccount

  #### Returns PaymentAccount . AsObject

Generated using TypeDoc